+ Post New Thread
Page 1 of 578 1 2 3 11 51 101 501 ... LastLast
Threads 1 to 25 of 14435

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 48,805
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 54,939
    18th Sep 2006 10:46 pm Go to last post
  1. Question Error: Bad Function T and quote a list with variables

    What does this Error Message mean : Error: Bad Function T? I tried to do a while loop (setq repetition 0) (if (= flag1 2) (while ((and (>= tpagen 2) (< repetition tpagen)) (setq...

    Started by sean112‎, Yesterday 07:24 pm
    • Replies: 3
    • Views: 63
    Yesterday 11:06 pm Go to last post
  2. Lee Mac Add/remove LISP - using + & - to run?

    Lee Mac has this Add/remove to block lisp routine. http://www.lee-mac.com/addobjectstoblock.html Wanted to to add a shortcut with "+" as ADD and "-" as REMOVE. Replaced this (defun c:Add (...

    Started by ctrlaltdel‎, 22nd Jul 2016 06:34 am
    • Replies: 5
    • Views: 267
    Yesterday 10:51 pm Go to last post
  3. autocad and navisworks

    I want to create a 3d solid shape (example: a window) in autocad and give it properties like dimensions or brand name, then I want to transfer the file to navisworks, but I still want to read its...

    Started by friendlyasl‎, Yesterday 10:48 pm
    • Replies: 0
    • Views: 31
    Yesterday 10:48 pm Go to last post
  4. Covert all blocks & blocks inside blocks to '0' layer excluding other entity

    Have many blocks & blocks within blocks that we need to convert to '0' layer excluding other entity such as lines,circles,text,dimensions.....inside this blocks. Google and found many lisp & but...

    Started by ctrlaltdel‎, Yesterday 02:23 pm
    • Replies: 9
    • Views: 113
    Yesterday 05:59 pm Go to last post
  5. Pick a certain frozen or off layer to on or thawed

    I want to create a lisp where when I have a frozen or thawed layer that I want to be on when I don't know exactly what layer the object I want is on. To clarify when I want a specific object to...

    Started by aharms33‎, 23rd Jul 2016 09:40 pm
    layon, laythw, lisp, xlist
    • Replies: 3
    • Views: 169
    Yesterday 05:02 pm Go to last post
  6. Dos get file filter

    I had a quick question in regards to the dos_getfilem function. I understand how to filter out for only .dwg with the function (*.dwg)|*.dwg||"), but I was curious if there is a way to show all .dwg...

    Started by broncos15‎, Yesterday 04:48 pm
    • Replies: 0
    • Views: 62
    Yesterday 04:48 pm Go to last post
  7. Ssget divide object on window filter

    I selected objects function ssget. (setq s ssget) I have a list of corner windows (white squares on drawing). '((x y) (x y) (x y) (x y) (x y)) How to divide the objects on those that are inside...

    Started by Kowal‎, 24th Jul 2016 02:08 pm
    • Replies: 5
    • Views: 174
    Yesterday 10:06 am Go to last post
  8. Combine two LISPs to one

    Hi, I need help. I would like to make new LISP from existing two that I found. Fist one delivers selection set (according to attribute value) that should be used by second one (changing layer of...

    Started by verb222‎, 21st Jul 2016 08:35 am
    • Replies: 5
    • Views: 238
    Yesterday 03:20 am Go to last post
  9. Lisp to create "rectangle selection effect (graphic)"

    Hello, I'd like to include in a lisp routine the "rectangle selection effect" that exists in autocad. When you click any point on the screen and then a second point this effect appears. ...

    Started by sadhu‎, 22nd Jul 2016 09:02 am
    • Replies: 8
    • Views: 243
    24th Jul 2016 08:57 pm Go to last post
  10. text in point

    In the file TEXT-POINT-ZERO.dwg zeta points is zero . Is there any Lisp program to the value of the text by selecting the point globally or by layer ? In TEXT-POINT-OK.dwg file it is as it should...

    Started by gedu‎, 21st Jul 2016 11:47 pm
    • Replies: 5
    • Views: 250
    23rd Jul 2016 07:47 pm Go to last post
  11. Trouble with ssget on blocks inserted from a Tool Palette

    I've been using this lisp to fill in the attribute on agroup of blocks. We recently loaded all of our standard blocks onto a toolpalette. The problem I’m having is that the ssget seams to ignore the...

    Started by Inferno‎, 30th Jun 2014 05:01 pm
    • Replies: 6
    • Views: 1,261
    23rd Jul 2016 07:02 pm Go to last post
  12. Get INSERT names for ssget function

    My goal is function that will return list with names of blocks for ssget function: Example: "block1,block2,xref1,xref2,dynblock1,*A1dynblock1,*A2dynblock1" Could someone verify my lisp routine?...

    Started by ziele_o2k‎, 21st Jul 2016 11:22 am
    • Replies: 4
    • Views: 229
    23rd Jul 2016 12:53 pm Go to last post
  13. Question Batch change xref names and repath dwgs

    I've found a way to rename xrefs with this script and it works fine. It basically changes the old xref to a new xref. -rename b TBA0_old TBA0_new -xref p TBA0_new "C:\NEW XREF\TBA0_new.dwg"

    Started by JeepMaster‎, 27th Jul 2009 09:50 pm
    5 Pages
    1 2 3 ... 5
    • Replies: 43
    • Views: 21,572
    23rd Jul 2016 01:31 am Go to last post
  14. Building Association Lists: A Simple Block Counter [AutoLISP Tutorial]

    I've spent some time writing up the following tutorial which aims to demonstrate how to construct a simple block counter and in the process give the user an introduction to association lists and...

    Started by Lee Mac‎, 24th Dec 2015 08:17 pm
    association, block, counter, list, tutorial
    • Replies: 9
    • Views: 1,468
    22nd Jul 2016 07:54 pm Go to last post
  15. Attribute with fields

    Hi, I'd like to know if theirs a way of retreiving a textstring with a field value then modify the field and resend it back into the attribute. Regards

    Started by CadFrank‎, 22nd Jul 2016 02:26 pm
    • Replies: 3
    • Views: 186
    22nd Jul 2016 07:50 pm Go to last post
  16. Lisp for total length of multilines with different scales

    Hello everyone, I am searching for lisp that calculates the total length of multilines with different scales, as I am working in the field of fire fighting and I use the multiline command to draw...

    Started by mohamedmousad‎, 23rd Feb 2016 02:34 pm
    • Replies: 7
    • Views: 672
    22nd Jul 2016 01:45 pm Go to last post
  17. Entmake Layers Works But I'm Having Trouble With Color Text vs Number

    I'm using this small routine to add some new layers to a drawing: defun fLayer (fName fColor Ltype fPlot) (entmake (list (cons 0 "LAYER") (cons 100 "AcDbSymbolTableRecord") ...

    Started by Bill Tillman‎, 21st Jul 2016 07:04 pm
    • Replies: 4
    • Views: 212
    22nd Jul 2016 03:44 am Go to last post
  18. Question ssget a variable list Question

    When I use ssget before, I either let user input, or '(1000 1000) for a fixed point. Now, I have an variable as a point. The code now looks like this: (command "copyclip" (ssget "W" 'pointy1...

    Started by sean112‎, 21st Jul 2016 06:31 pm
    • Replies: 5
    • Views: 152
    21st Jul 2016 07:01 pm Go to last post
  19. Lisp routine for spacing blocks

    Hello Everyone, I am looking for a LISP routine which user defines an area (rectangle) and a blocks and 2 numbers x & y (array dimension) and the the routine place the amount of blocks inside the...

    Started by Chemra‎, 21st Jul 2016 02:32 am
    block spacing
    • Replies: 2
    • Views: 183
    21st Jul 2016 01:40 pm Go to last post
  20. Textos a insertar en CAD

    Existe algun programa lisp ó desde el mismo CAD algun comando con el que pueda insertar un listado como el que adjunto en excel? Adjunto el listado y el CAD con esos puntos ya insertados como...

    Started by gedu‎, 20th Jul 2016 06:02 pm
    • Replies: 4
    • Views: 216
    21st Jul 2016 12:26 pm Go to last post
  21. Add street name and adress number to existing block attributes

    Hi, I need advice/idea. I have uploaded example1.dwg It's easiest way to explain what I need advice for. My job is to design cables. Data that I need to put in drawing are cable_number and...

    Started by verb222‎, 15th Jul 2016 07:30 pm
    • Replies: 8
    • Views: 421
    21st Jul 2016 10:49 am Go to last post
  22. help to create a circle based on the length of the line you made

    Senario is this, i make a line, and it will automatically generate a circle with the length of the line as diameter, im sure you guys can make this very easy... but im really new to this lisp thingy,...

    Started by ktbjx‎, 21st Jul 2016 09:44 am
    • Replies: 9
    • Views: 167
    21st Jul 2016 10:42 am Go to last post
  23. Draw line in the mid distance of 2 existing lines

    Hello and happy new year for all my request is autolisp routin that can creat a line from 2 existing lines may parallel or not and every point of this line has the same distance to 2 lines thanks

    Started by motee-z‎, 31st Dec 2006 12:17 am
    3 Pages
    1 2 3
    • Replies: 29
    • Views: 11,781
    21st Jul 2016 10:02 am Go to last post
  24. Dynamic Block Parameters Problem

    Hi, I have created small lisp, Which inserts block and add its dynamic parameters data to the block... But When I applies dynamic properties to the block, Parameter gets applied to the block but...

    Started by satishrajdev‎, 20th Jul 2016 10:58 am
    • Replies: 1
    • Views: 152
    21st Jul 2016 07:38 am Go to last post
  25. vlax-curve-getDistAtPoint, vlax-curve-getParamAtPoint

    Hi guys, I have some question: Whats the difference between "distance" and "parameter" on vlax-curve-**** functions? I can't imagine it graphically... Does "parameter" means the length value of...

    Started by Grrr‎, 17th Jul 2016 06:22 am
    • Replies: 5
    • Views: 334
    21st Jul 2016 05:22 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts